routes/web.php
<?php

use App\Http\Controllers\Auth\AuthController;
use App\Http\Controllers\Dashboard\DashboardController;
use App\Http\Controllers\lab\LabController;
use App\Http\Controllers\lab\PasienController as LabPasienController;
use App\Http\Controllers\lab\ResultLabController;
use App\Models\Pasien;
use App\Http\Controllers\rawatjalan\KunjunganController;
use App\Http\Controllers\Pasien\PasienController;
use App\Http\Controllers\RekamMedis\EntryKunjunganController;
use App\Http\Controllers\RekamMedis\RiwayatKunjunganController;
use App\Http\Controllers\RekamMedis\RiwayatMedisController;
use App\Http\Controllers\Pembayaran\PembayaranController;
use App\Http\Controllers\Pharmacy\PharmacyController;
use Illuminate\Support\Facades\Route;

Route::controller(AuthController::class)->group(function () {
    Route::get('/', 'index')->name('login');
    Route::post('/', 'login')->name('loginPost');
    Route::get('/logout', 'logout')->name('logout');
});

Route::middleware('authenticated')->group(function () {
    // Dashboard Route
    Route::middleware('auth-roles:staff,dokter,admin,teknisi,perawat')->group(function () {
        // Pharmacy Route
        Route::prefix('pharmacy')->name('pharmacy.')->group(function () {
            Route::controller(PharmacyController::class)->group(function () {
                // prescription area
                Route::get('/receipt/{id}', 'getPrescriptionView')->name('prescriptionView');
                Route::get('/receipt/{visitId}/detail/{id}', 'getPrescriptionDetailView')->name('prescriptionDetail');
                Route::post('/receipt/detail', 'createDrugInPrescription')->name('createDrugInPrescription');
                Route::post('/receipt//detail/destroy/{id}', 'destroyDrugInPrescription')->name('destroyDrugInPrescription');
                Route::post('/receipt/detail/update/', 'updateDrugInPrescription')->name('updateDrugInPrescription');
                Route::get('/receipt/checkout/{id}/{visitId}', 'checkoutPrescription')->name('checkoutPrescription');

                // drug area
                Route::get('/medicine', 'listMedicine')->name('listMedicine');
                Route::get('/medicine/{id}', 'detailMedicine')->name('detailMedicine');
                Route::post('/medicine/{id}/destroy', 'destroyDrug')->name('destroyMedicine');
                Route::post('/medicine', 'createDrug')->name('createMedicine');
                Route::post('/medicine/{id}', 'updateDrug')->name('updateMedicine');
                Route::post('/medicine/{id}/update', 'updateDrugStock')->name('updateMedicineStock');
                Route::get('/medicine/export', 'downloadDrugExcel')->name('downloadDrugExcel');
            });
        });


        // Dashboard
        Route::controller(DashboardController::class)->group(function () {
            Route::get('/dashboard', 'index')->name('dashboard');
        });

        // START RJ
        // get data all detail kunjungan RJ
        Route::get('/rawat-jalan/detail-kunjungan', [KunjunganController::class, 'index'])->name('rawatjalan.index');

        // get data pemeriksaan lab and apotek
        Route::get('/rawat-jalan/set-data-pemeriksaan', [KunjunganController::class, 'pemeriksaan'])->name('rawatjalan.pemeriksaan');

        // get url add diagnosa
        Route::get('/rawat-jalan/{detailkunjungan}/add-diagnosa', [KunjunganController::class, 'adddiagnosa'])->name('rawatjalan.adddiagnosa');

        // patch data diagnosa
        Route::patch('/rawat-jalan/{detailkunjungan}/add-diagnosa/success-added', [KunjunganController::class, 'adddiagnosaAdded'])->name('rawatjalan.adddiagnosaAdded');

        // get url add data's (dokter,room,poli)
        Route::get('/rawat-jalan/detail-kunjungan/{detailkunjungan}/add-data-result', [KunjunganController::class, 'show'])->name('rawatjalan.show');

        // patch data results
        Route::patch('/rawat-jalan/detail-kunjungan/{detailkunjungan}/added-data-result', [KunjunganController::class, 'store'])->name('rawatjalan.store');

        // get sorting belum pemeriksaan
        Route::get('/rawat-jalan/detail-kunjungan/belum-pemeriksaan', [KunjunganController::class, 'sortingBelumPemeriksaan'])->name('rawatjalan.belumPemeriksaan');

        // get sorting sudah pemeriksaan
        Route::get('/rawat-jalan/detail-kunjungan/sudah-pemeriksaan', [KunjunganController::class, 'sortingSudahPemeriksaan'])->name('rawatjalan.sudahPemeriksaan');

        // get edit data page n fetch data 
        Route::get('/rawat-jalan/update-kunjungan/{detailkunjungan}/edit-datas', [KunjunganController::class, 'edit'])->name('rawatjalan.edit');

        // Update data
        Route::patch('/rawat-jalan/update-kunjungan/{detailkunjungan}/update-datas', [KunjunganController::class, 'update'])->name('rawatjalan.update');

        // delete data kunjungan 
        Route::delete('rawat-jalan/deleted/{detailkunjungan}/datas', [KunjunganController::class, 'destroy'])->name('rawatjalan.destroy');
    });

    Route::controller(PasienController::class)
        ->prefix('pasien')
        ->name('pasien.')
        ->group(function () {
            Route::get('/', 'index')->name('index');
            Route::get('/create', 'create')->name('create');
            Route::post('/store', 'store')->name('store');
            Route::get('/edit/{id}', 'edit')->name('edit');
            Route::post('/update/{id}', 'update')->name('update');
            Route::delete('/delete/{id}', 'delete')->name('delete');
        });

    // example when group route with the role
    Route::middleware('auth-roles:admin')->group(function () {
        Route::get('/onlyadmin', function () {
            return 'Only Admin';
        });
        Route::get('/lab', [LabController::class, 'index'])->name('lab.index');
        Route::get('/lab/create', [LabController::class, 'create'])->name('lab.create');
        Route::get('/lab/edit/{lab}', [LabController::class, 'edit'])->name('lab.edit');
        Route::put('/lab/edit/{lab}', [LabController::class, 'update'])->name('lab.update');
        Route::delete('/lab/{lab}', [LabController::class, 'destroy'])->name('lab.destroy');
        Route::post('/lab', [LabController::class, 'store'])->name('lab.store');

        Route::controller(ResultLabController::class)->group(function () {
            Route::get('/result-lab', 'index')->name('resultLab.index');
            Route::get('/result-lab/create', 'create')->name('resultLab.create');
            Route::post('/result-lab', 'store')->name('resultLab.store');
            Route::get('/result-lab/{resultLab}', 'show')->name('resultLab.show');
            Route::delete('/result-lab/{resultLab}', 'destroy')->name('resultLab.destroy');
            Route::get('/result-lab/edit/{resultLab}', 'edit')->name('resultLab.edit');
            Route::put('/result-lab/{resultLab}', 'update')->name('resultLab.update');
            Route::get('/result-lab/download/{resultLab}', 'download')->name('resultLab.download');
        });
    });

    Route::prefix('/pembayaran')->name('pembayaran')->group(function () {
        Route::get('/', [PembayaranController::class, 'index']);

        Route::prefix('/transaksi')->name('-transaksi')->group(function () {
            Route::get('/', [PembayaranController::class, 'transaksi']);
            Route::get('/{page?}', [PembayaranController::class, 'transaksi'])->name('-pagination');
            Route::post('/confirmation/{id?}', [PembayaranController::class, 'update'])->name('-update');
        });

        Route::prefix('/riwayat')->name('-riwayat')->group(function () {
            Route::get('/', [PembayaranController::class, 'riwayat'])->name('-transaksi');
            Route::get('/cetak/{id?}', [PembayaranController::class, 'cetak'])->name('-cetak');
        });
    });
});

Route::view('/example', 'example.example')->name('example');
Route::prefix('rekam-medis')->group(function () {
    Route::controller(EntryKunjunganController::class)
        ->prefix('/entry-kunjungan')
        ->name('entry-kunjungan.')
        ->group(function () {
            Route::get('/', 'showEntryKunjungan')->name('index');
            Route::get('/create', 'createEntryKunjungan')->name('create');
            Route::post('/store', 'store')->name('store');
            Route::get('/{id}', 'details')->name('detail');
        });
    Route::controller(RiwayatKunjunganController::class)
        ->prefix('/riwayat-kunjungan')
        ->name('riwayat-kunjungan.')
        ->group(function () {
            Route::get('/', 'showRiwayatKunjungan')->name('index');
            Route::get('/detail', 'showDetailRiwayatKunjungan')->name('detail');
        });
    Route::controller(RiwayatMedisController::class)
        ->prefix('/riwayat-medis')
        ->name('riwayat-medis.')
        ->group(function () {
            Route::get('/', 'showRiwayatMedis')->name('index');
        });
});

resources/views/templates/footer.blade.php
<footer>
    <div class="footer clearfix mb-0 text-muted">
        <div class="float-start">
            <p>
                <script type="text/javascript">
                    document.write(new Date().getFullYear());
                </script> &copy; DECANT
            </p>
        </div>
        <div class="float-end">
            <p>Crafted with <span class="text-danger"><i class="bi bi-heart"></i></span> by <a href="https://www.instagram.com/decant_/" target="_blank">D3 IT A 2022</a></p>
        </div>
    </div>
</footer>

resources/views/templates/master.blade.php
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>SIM-RS | @yield('title')</title>

    <link rel="stylesheet" href="{{ asset('assets/css/main/app.css') }}">
    <link rel="stylesheet" href="{{ asset('assets/css/main/app-dark.css') }}">
    <script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>
    <script src="https://kit.fontawesome.com/1d954ea888.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/apexcharts"></script>
    <link rel="stylesheet" href="{{ asset('assets/extensions/simple-datatables/style.css') }}">
    <link rel="stylesheet" href="{{ asset('assets/scss/pages/simple-datatables.scss') }}">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">
    @stack('styles')
</head>

<body>
    <div id="app">
        @include('templates.sidebar')
        <div id="main">
            <header class="mb-3">
                <a href="#" class="burger-btn d-block d-xl-none">
                    <i class="bi bi-justify fs-3"></i>
                </a>
            </header>

            <div class="page-heading">
                <div class="page-title">
                    <div class="row">
                        <div class="col-12 col-md-6 order-md-1 order-last">
                            <h3>@yield('page-name')</h3>
                            <p class="text-subtitle text-muted">@yield('page-desc')</p>
                        </div>
                        <div class="col-12 col-md-6 order-md-2 order-first">
                            <nav aria-label="breadcrumb" class="breadcrumb-header float-start float-lg-end">
                                <ol class="breadcrumb">
                                    <li class="breadcrumb-item"><a href="{{ route('dashboard') }}">Dashboard</a></li>
                                    <li class="breadcrumb-item active" aria-current="page">@yield('title')</li>
                                </ol>
                            </nav>
                        </div>
                    </div>
                </div>
                <section class="section">
                    @yield('content')
                </section>
            </div>
            @include('templates.footer')
        </div>
    </div>

    <script src="{{ asset('assets/js/bootstrap.js') }}"></script>
    <script src="{{ asset('assets/js/app.js') }}"></script>

    @stack('scripts')
</body>

</html>

resources/views/templates/sidebar.blade.php
<div id="sidebar" class="active">
    <div class="sidebar-wrapper active">
        <div class="sidebar-header position-relative">
            <div class="d-flex justify-content-between align-items-center">
                <div class="logo">
                    <a href="{{ route('dashboard') }}">
                        <img src="{{ asset('assets/images/logo.png') }}" alt="Logo" srcset="" class="img-fluid"
                            style="width: 70px; height:auto;">
                    </a>
                </div>
                <div class="theme-toggle d-flex gap-2  align-items-center mt-2">
                    <svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"
                        aria-hidden="true" role="img" class="iconify iconify--system-uicons" width="20"
                        height="20" preserveAspectRatio="xMidYMid meet" viewBox="0 0 21 21">
                        <g fill="none" fill-rule="evenodd" stroke="currentColor" stroke-linecap="round"
                            stroke-linejoin="round">
                            <path
                                d="M10.5 14.5c2.219 0 4-1.763 4-3.982a4.003 4.003 0 0 0-4-4.018c-2.219 0-4 1.781-4 4c0 2.219 1.781 4 4 4zM4.136 4.136L5.55 5.55m9.9 9.9l1.414 1.414M1.5 10.5h2m14 0h2M4.135 16.863L5.55 15.45m9.899-9.9l1.414-1.415M10.5 19.5v-2m0-14v-2"
                                opacity=".3"></path>
                            <g transform="translate(-210 -1)">
                                <path d="M220.5 2.5v2m6.5.5l-1.5 1.5"></path>
                                <circle cx="220.5" cy="11.5" r="4"></circle>
                                <path d="m214 5l1.5 1.5m5 14v-2m6.5-.5l-1.5-1.5M214 18l1.5-1.5m-4-5h2m14 0h2"></path>
                            </g>
                        </g>
                    </svg>
                    <div class="form-check form-switch fs-6">
                        <input class="form-check-input  me-0" type="checkbox" id="toggle-dark">
                        <label class="form-check-label"></label>
                    </div>
                    <svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"
                        aria-hidden="true" role="img" class="iconify iconify--mdi" width="20" height="20"
                        preserveAspectRatio="xMidYMid meet" viewBox="0 0 24 24">
                        <path fill="currentColor"
                            d="m17.75 4.09l-2.53 1.94l.91 3.06l-2.63-1.81l-2.63 1.81l.91-3.06l-2.53-1.94L12.44 4l1.06-3l1.06 3l3.19.09m3.5 6.91l-1.64 1.25l.59 1.98l-1.7-1.17l-1.7 1.17l.59-1.98L15.75 11l2.06-.05L18.5 9l.69 1.95l2.06.05m-2.28 4.95c.83-.08 1.72 1.1 1.19 1.85c-.32.45-.66.87-1.08 1.27C15.17 23 8.84 23 4.94 19.07c-3.91-3.9-3.91-10.24 0-14.14c.4-.4.82-.76 1.27-1.08c.75-.53 1.93.36 1.85 1.19c-.27 2.86.69 5.83 2.89 8.02a9.96 9.96 0 0 0 8.02 2.89m-1.64 2.02a12.08 12.08 0 0 1-7.8-3.47c-2.17-2.19-3.33-5-3.49-7.82c-2.81 3.14-2.7 7.96.31 10.98c3.02 3.01 7.84 3.12 10.98.31Z">
                        </path>
                    </svg>
                </div>
                <div class="sidebar-toggler  x">
                    <a href="#" class="sidebar-hide d-xl-none d-block"><i class="bi bi-x bi-middle"></i></a>
                </div>
            </div>
        </div>
        <div class="sidebar-menu">
            <ul class="menu">
                <li class="sidebar-title">Menu</li>

                <li class="sidebar-item {{ request()->routeIs('dashboard*') ? 'active' : '' }}">
                    <a href="{{ route('dashboard') }}" class='sidebar-link'>
                        <i class="bi bi-grid-fill"></i>
                        <span>Dashboard</span>
                    </a>
                </li>

                <li
                    class="sidebar-item  has-sub {{ Str::startsWith(request()->route()->getName(),'pasien')? 'active': '' }}">
                    <a href="#" class='sidebar-link'>
                        <i class="bi bi-person"></i>
                        <span>Pasien</span>
                    </a>
                    <ul class="submenu ">

                        <li class="submenu-item ">
                            <a href="{{ route('pasien.index') }}">Data Pasien</a>
                        </li>
                    </ul>
                </li>

                <li class="sidebar-item  has-sub {{ request()->routeIs('rawat-jalan*') ? 'active' : '' }}">
                    <a href="#" class='sidebar-link'>
                        <i class="bi bi-heart-pulse"></i>
                        <span>Rawat Jalan</span>
                    </a>
                    <ul class="submenu ">

                        <li class="submenu-item ">
                            <a href="{{ route('rawatjalan.index') }}">Detail Data Perawatan</a>
                        </li>
                        <li class="submenu-item ">
                            <a href="{{ route('rawatjalan.pemeriksaan') }}">Set Data Pemeriksaan</a>
                        </li>

                    </ul>
                </li>
                <li class="sidebar-item  has-sub {{ request()->routeIs('rekam-medis/entry-kunjungan') ? 'active' : '' }}">
                    <a href="#" class='sidebar-link'>
                        <i class="bi bi-file-earmark-medical"></i>
                        <span>Rekam Medis</span>
                    </a>
                    <ul class="submenu {{ request()->routeIs('rekam-medis/entry-kunjungan') ? 'active submenu-open' : '' }}">
                        <li class="submenu-item ">
                            <a href="{{ route('entry-kunjungan.index') }}">Entry Kunjungan</a>
                        </li>
                        {{--                        <li class="submenu-item "> --}}
                        {{--                            <a href="{{ route('riwayat-medis.index') }}">Riwayat Medis</a> --}}
                        {{--                        </li> --}}
                        {{--                        <li class="submenu-item "> --}}
                        {{--                            <a href="{{ route('riwayat-kunjungan.index') }}">Riwayat Kunjungan</a> --}}
                        {{--                        </li> --}}
                    </ul>

                </li>
                <li class="sidebar-item  has-sub  {{ request()->routeIs('pharmacy*') ? 'active' : '' }}">

                    <a href="#" class='sidebar-link'>
                        <i class="bi bi-capsule-pill"></i>
                        <span>Apotek</span>
                    </a>
                    <ul class="submenu {{ request()->routeIs('pharmacy*') ? 'active submenu-open' : '' }}">

                        <li class="submenu-item {{ request()->routeIs('pharmacy.listMedicine') ? 'active' : '' }}">
                            <a href="{{ route('pharmacy.listMedicine') }}">Stok Obat</a>
                        </li>
                    </ul>
                </li>
                <li class="sidebar-item  has-sub {{ request()->routeIs('labradiologi*') ? 'active' : '' }}">
                    <a href="#" class='sidebar-link'>
                        <i class="bi bi-prescription"></i>
                        <span>Lab dan Radiologi</span>
                    </a>
                    <ul class="submenu ">
                        <li class="submenu-item ">
                            <a href="{{ route('resultLab.index') }}">Result Lab</a>
                        </li>
                        <li class="submenu-item ">
                            <a href="/lab">Data Lab</a>
                        </li>

                    </ul>
                </li>
                <li class="sidebar-item  has-sub {{ request()->routeIs('pembayaran*') ? 'active ' : '' }}">
                    <a href="{{ route('pembayaran') }}" class='sidebar-link'>
                        <i class="bi bi-wallet2"></i>
                        <span>Pembayaran</span>
                    </a>
                    <ul class="submenu  {{ request()->routeIs('pembayaran*') ? 'active submenu-open' : '' }}">
                        <li class="submenu-item {{ request()->routeIs('pembayaran') ? 'active' : '' }}">
                            <a href="{{ route('pembayaran') }}">Ringkasan</a>
                        </li>
                        <li class="submenu-item {{ request()->routeIs('pembayaran-transaksi') ? 'active' : '' }}">
                            <a href=" {{ route('pembayaran-transaksi') }}">Transaksi</a>
                        </li>
                        <li class="submenu-item {{ request()->routeIs('pembayaran-riwayat-transaksi') ? 'active' : '' }}">
                            <a href="{{ route('pembayaran-riwayat-transaksi') }}">Riwayat Transaksi</a>
                        </li>
                    </ul>
                </li>

                <li class="sidebar-item  has-sub {{ request()->routeIs('akun') ? 'active' : '' }}">
                    <a href="#" class='sidebar-link'>
                        <i class="bi bi-person-circle"></i>
                        <span>Akun</span>
                    </a>
                    <ul class="submenu ">
                        <li class="submenu-item ">
                            <a href="akubadut">Settings</a>
                        </li>
                        <li class="submenu-item ">
                            <a href="{{ route('logout') }}">Logout</a>

                        </li>

                    </ul>
                </li>
            </ul>
        </div>
    </div>
</div>